Bug 144930 - System lockup on "checking for new hardware"
System lockup on "checking for new hardware"
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2005-01-12 14:52 EST by Phill O'Flynn
Modified: 2015-01-04 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 20:50:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Phill O'Flynn 2005-01-12 14:52:47 EST
Description of problem: The latest kernel installed by up2date causes 
the system to completely lockup on boot when "checking for new 
hardware" I have used up2date to successfully update the kernel to Also the source code for each kernel as it is 
updated needs to be made available so i can get my winmodem to work

Version-Release number of selected component (if applicable):
Kernel 2.6.10-1.737-FC3

How reproducible: On boot consistently

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Dave Jones 2005-01-12 15:03:06 EST
kudzu is probably causing some broken module to get loaded.
Can you do the following please..

1) mv /sbin/modprobe /sbin/modprobe.exe
2) make new /sbin/modprobe script which is the following..

echo loading module - $@
sleep 1
/sbin/modprobe.exe $@

3) chmod +x /sbin/modprobe

now it should print the name of the broken module just before it hangs

Once you've done this, you can mv /sbin/modprobe.exe /sbin/modprobe
Comment 2 Dave Jones 2005-07-15 16:11:25 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Dave Jones 2005-10-02 20:50:16 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.